﻿using System;
using System.Net;
using System.Windows;
 
 
 
using System.Windows.Input;
 
 
 

namespace G.Net.Oauth
{
    public static class OauthConfiger
    {
        public static string AppKey
        {
            get;
            set;
        }

        public static string AppSecret
        {
            get;
            set;
        }

        public static OAuthAccessToken AccessToken
        {
            get;
            set;
        }

        public static void ValidateAccessToken()
        {
            if (null == OauthConfiger.AccessToken)
                throw new OauthException("Access token not obtained. Make sure retrieved access token is set to OauthConfiger.AccessToken.");
        }

        private static string oAuthSignatureMethod = "HMAC-SHA1";

        public static string OAuthSignatureMethod
        {
            get { return OauthConfiger.oAuthSignatureMethod; }
            set { OauthConfiger.oAuthSignatureMethod = value; }
        }

        private static string oAuthVersion = "1.0";

        public static string OAuthVersion
        {
            get { return OauthConfiger.oAuthVersion; }
            set { OauthConfiger.oAuthVersion = value; }
        }
    }
}
