﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Data
{
    public class IncrementalLoadingResult<T>
    {
        public IEnumerable<T> Items { get; private set; }
        public uint TotalItemsCount { get; private set; }

        public IncrementalLoadingResult(IEnumerable<T> items, uint totalItemsCount)
        {
            Items = items;
            TotalItemsCount = totalItemsCount;
        }
    }
}
