﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.MVVM
{
    public class CallBackCommand : BaseCommand
    {
        public Action<object> CallBack { get; set; }

        public override void Execute(object parameter)
        {
            if (CallBack != null)
                CallBack(parameter);
        }
        public CallBackCommand(Action<object> callback)
        {
            this.CallBack = callback;
        }
    }
}
