﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Net.APISuite
{
    public abstract class Request<T> where T : IResponse
    {

        public System.Net.Http.HttpMethod RequestMethod { get; protected set; }

        public string Path { get; protected set; }

        public abstract IDictionary<string, string> GetParameters();
    }
}
