﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Net.Oauth
{
    public static class Oauth2Config
    {
        /// <summary>
        /// 请求验证的地址
        /// </summary>
        public static string Request_Authorize_Url;
        /// <summary>
        /// 获取RequestToken是地址
        /// </summary>
        public static string Token_Authorize_Url;

        public static string ClientID;

        public static string ClientSecret;

        /// <summary>
        /// 验证的类型，默认为code
        /// </summary>
        public static string Authorize_ResponseType = "code";

        /// <summary>
        /// 验证回掉地址
        /// </summary>
        public static string RedirectUri;
    }
}
