﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Input;

using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace G.Net
{
    public class ParamCollection : Collection<ParamPair>
    {

        public ParamCollection()
        { }

        public ParamCollection(IEnumerable<ParamPair> items)
        {
            foreach (var item in items)
            {
                Add(item);
            }
        }

        public void Add(string name, string value)
        {
            base.Add(new ParamPair(name, value));
        }
    }
}
